Update H5P hub with a newer version of Find Multiple Hotspots library

Description

Current version is using outdated dependencies and could raise real issues the local instance is changed to allow it to be added into the column. The main issue is with the H5P.Question dependency, as the old version is set to require version 1.2 and the currently widely used one is 1.4.

This will force the old version to be chosen if the content type is the first one that has dependency on H5P.Question within that column. That prevents other content typed that have the same dependency, but require a higher version, from working. Example: Check answer or Try again* buttons produce errors because the methods they rely upon are not present.

Forked versions of the repositories could be found here:
https://github.com/centre-for-educational-technology/h5p-image-multiple-hotspot-question
https://github.com/centre-for-educational-technology/h5p-editor-image-multiple-hotspot-question

These have no changes from my side and are at the state of the main repository. The only change is that the tags for version 1.0.1 were created. The main library version has also a .5p file attached with library itself and all the dependencies.

Please disregard the unmaintained text from the README file.

All of the changes within the repo seem to work just fine. We also have quite complex columns with that library. Changes to the score system allow it to notify (so to say) the Column of the score. This makes it possible to get the score stored as set-finished.json endpoint will now be called.

Acceptance Criteria

None

Status

Assignee

Unassigned

Reporter

Pjotr Savitski

Labels

Funding

None

Code reviewer

None

Released

None

Time tracking

4h

Fix versions

Priority

High